BuiltinFunctions -- getting too long again!
01 Oct 2015 15:17 - Anna Maria Bigatti

Status: Closed Start date: 01 Oct 2015
Priority: Normal Due date:

Assignee: Anna Maria Bigatti % Done: 100%
Category: Parser/Interpreter Estimated time: 2.00 hours
Target version: CoCoA-5.1.3/4 Jan 2016 Spent time: 1.60 hour
Description

Separate into two files functions proper of the cocoa language, and cocoalib functions.

E.g. functions about RECORD and functions about IDEAL.

Unfortunately the distinction is not so neat: "sum" is a language function (because works on LIST) or an algebraic function?

In fact we want to have a substantial set of functions "out of the way" when we modify the ever-increasing BuiltinFunctions file (so we
should not be too picky on what can be moved out...)

Related issues:
Related to CoCoA-5 - Feature #193: BuiltinFunctions.C getting too long (2000 ... Closed 21 Jun 2012

History

#1 - 01 Oct 2015 16:12 - Anna Maria Bigatti

(First attempt works, not yet cvs-ed)
Indeed the "cocoa language" file uses directly from CoCoALib just "BigInt".
(indirectly "RightValue")

How should the two files be called?
BuiltinFunction.C and BuiltinFunctions-CoCoALib.C?
What about BuiltinOneLiners? should it be renamed BuiltinOneLiners-CoCoALib?

#2 - 08 Oct 2015 17:50 - Anna Maria Bigatti

- Status changed from New to In Progress

checked in:
BuiltinFunction.C and BuiltinFunctions-CoCoALib.C

#3 - 16 Feb 2016 17:10 - John Abbott
- % Done changed from 0 to 50

Anna, do you regard this as resolved? Can you close the issue?
#4 - 16 Feb 2016 17:58 - Anna Maria Bigatti
- Status changed from In Progress to Closed

- % Done changed from 50 to 100
- Estimated time set to 2.00 h

23 Apr 2024 1/1



http://www.tcpdf.org

